/*------------------------------------------------------------
 * Social Nav & Share
 *------------------------------------------------------------*/

.social-nav {
	line-height: 1;
	display: inline-block;
	text-align: center;
	font-size: 14px;
	.clearfix;

	.item {
		display: inline-block;
		.link-color( @black, @primary-color );
		.transition;

		.dark-mode & {
			.link-color( @white, @primary-color );
		}

		& + .item {
			margin-left: 0.7em;
		}

		i {
			position: relative;
			display: inline-block;
			vertical-align: middle;

			& + span {
				padding-left: 0.3em;
			}

			&[class$="-colored"],
			&[class*="hygge-icon-brand"] {
				&:before,
				& + span {
					.transition;
				}
			}
		}

		&:hover {
			i[class$="-colored"],
			i[class*="hygge-icon-brand"] {
				&:before,
				& + span {
					color: @black;

					.dark-mode & {
						color: @white;
					}
				}
			}
		}

	}
}
